Skip to content

Results are limited to the current section: Cloud services

Product news

Get Status History

GET
/api/v1/devices/{device_type}/status-history
curl --request GET \
--url https://example.com/api/v1/devices/EMU_FREE/status-history

Get a collection of all the previous UP/DOWN statuses for a device.

This route should provide 3 months of device status history along with the current status of a device.

device_type
required
DeviceTypeName

Enumeration of allowed and legacy device type names

string
Allowed values: EMU_FREE EMU_SV EMU_TN EMU_C FRESNEL FRESNEL_CAN1 FRESNEL_SA1 FRESNEL8 EMU_FRESNEL FRESNEL_RD FRESNEL2_RD EMU_MPS
start_date
Any of:
string format: date

Successful Response

Media typeapplication/json
NonPaginatedResponse[ProducedManyDeviceHistoryResponse]
object
data
Any of:
ProducedManyDeviceHistoryResponse
object
device_type
required
DeviceTypeName

Enumeration of allowed and legacy device type names

string
Allowed values: EMU_FREE EMU_SV EMU_TN EMU_C FRESNEL FRESNEL_CAN1 FRESNEL_SA1 FRESNEL8 EMU_FRESNEL FRESNEL_RD FRESNEL2_RD EMU_MPS
current_status
required
DeviceStatus
string
Allowed values: UP DOWN
current_status_message
Any of:
string
history
required
History
Array<object>
DeviceStatusHistoryUpdate
object
status
required
DeviceStatus
string
Allowed values: UP DOWN
message
Any of:
string
created_at
required
Created At
string format: date-time
Example
{
"data": {
"device_type": "EMU_FREE",
"current_status": "UP",
"history": [
{
"status": "UP"
}
]
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}